#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-pytest
Version		:	7.1.1
Release		:	14.4.0.0%{?dist}
Summary		:	Simple powerful testing with Python

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://github.com/pytest-dev/pytest/archive/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
py.test provides simple, yet powerful testing for Python.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{_bindir}/py.test
%{_bindir}/%{sname}
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/_%{sname}/_code/*.py
%{python3_sitelib}/_%{sname}/py.typed
%{python3_sitelib}/_%{sname}/*.py
%{python3_sitelib}/_%{sname}/__pycache__/*.pyc
%{python3_sitelib}/_%{sname}/_code/__pycache__/*.pyc
%{python3_sitelib}/_%{sname}/_io/*.py
%{python3_sitelib}/_%{sname}/_io/__pycache__/*.pyc
%{python3_sitelib}/_%{sname}/assertion/*.py
%{python3_sitelib}/_%{sname}/assertion/__pycache__/*.pyc
%{python3_sitelib}/_%{sname}/config/*.py
%{python3_sitelib}/_%{sname}/config/__pycache__/*.pyc
%{python3_sitelib}/_%{sname}/mark/*.py
%{python3_sitelib}/_%{sname}/mark/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#Remove dep on setuptools_scm
sed -i							\
  -e "/^\[metadata\]/a version = %{version}"		\
  -e "/setuptools-scm/d"				\
   setup.cfg

sed -i 							\
  -e "/setuptools-scm\|wheel/d"				\
  -e "/\[tool.setuptools_scm\]/,/^$/d"			\
  pyproject.toml
	
#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\

#-----------------------------------------------------------------------------
%changelog
